package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.enums.ClassGroupTypeEnum;

/**
 * @Author Joburgess
 * @Date 2019/9/17
 */
public class CourseScheduleDto extends CourseSchedule {

    /** 班级名称 */
    @ApiModelProperty(value = "班级名称",required = false)
    private String classGroupName;

    /** 班级类型(普通班级、合奏班级) */
    @ApiModelProperty(value = "班级类型(普通班级、合奏班级、提高课班级、VIP班级)",required = false)
    private ClassGroupTypeEnum type;

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public ClassGroupTypeEnum getType() {
        return type;
    }

    public void setType(ClassGroupTypeEnum type) {
        this.type = type;
    }
}
